import { jsx } from "react/jsx-runtime";
import { SphereIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Sphere = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Sphere", ...props, children: /* @__PURE__ */ jsx(SphereIcon, { weight: variant }) });
  }
);
Sphere.displayName = "Sphere";
Object.assign(Sphere, { isGdsIcon: true });
export {
  Sphere
};
